- can_override_approvers = project.can_override_approvers?
- can_modify_approvers = can?(current_user, :modify_approvers_rules, @project)
- can_modify_merge_request_author_settings = can?(current_user, :modify_merge_request_author_setting, @project)
- can_modify_merge_request_committer_settings = can?(current_user, :modify_merge_request_committer_setting, @project)

.form-group
  = form.label :approver_ids, class: 'label-bold' do
    = _("Approval rules")
  #js-mr-approvals-settings{ data: { 'project_id': @project.id,
    'can_edit': can_modify_approvers.to_s,
    'project_path': expose_path(api_v4_projects_path(id: @project.id)),
    'settings_path': expose_path(api_v4_projects_approval_settings_path(id: @project.id)),
    'rules_path': expose_path(api_v4_projects_approval_settings_rules_path(id: @project.id)),
    'allow_multi_rule': @project.multiple_approval_rules_available?.to_s,
    'eligible_approvers_docs_path': help_page_path('user/project/merge_requests/merge_request_approvals', anchor: 'eligible-approvers'),
    'security_approvals_help_page_path': help_page_path('user/application_security/index.html', anchor: 'security-approvals-in-merge-requests-ultimate')} }
    .text-center.gl-mt-3
      = sprite_icon('spinner', size: 24, css_class: 'gl-spinner')

- if project.code_owner_approval_required_available?
  .alert.alert-dismissible.alert-primary.fade.in.show{ role: "alert" }
    %button.close{ type: "button", 'data-dismiss': "alert", 'aria-label': "Close" }
      %span
        = sprite_icon('close', size: 16)
    %span
      - banner_url = project_settings_repository_path(project, anchor: 'js-protected-branches-settings')
      - banner_link_start = '<a href="%{url}"><strong>'.html_safe % { url: banner_url }
      = _('The "Require approval from CODEOWNERS" setting was moved to %{banner_link_start}Protected Branches%{banner_link_end}').html_safe % { banner_link_start: banner_link_start, banner_link_end: '</strong></a>'.html_safe}
      = link_to icon('question-circle'), help_page_path('user/project/protected_branches', anchor: 'protected-branches-approval-by-code-owners-premium'), target: '_blank'

.form-group
  .form-check
    = form.check_box(:disable_overriding_approvers_per_merge_request, { checked: can_override_approvers, class: 'form-check-input', disabled: !can_modify_approvers }, false, true)
    = form.label :disable_overriding_approvers_per_merge_request, class: 'form-check-label' do
      %span= _('Can override approvers and approvals required per merge request')
      = link_to icon('question-circle'), help_page_path('user/project/merge_requests/merge_request_approvals', anchor: 'prevent-overriding-default-approvals'), target: '_blank'

.form-group.reset-approvals-on-push
  .form-check
    = form.check_box :reset_approvals_on_push, class: 'form-check-input'
    = form.label :reset_approvals_on_push, class: 'form-check-label' do
      %span= _('Remove all approvals in a merge request when new commits are pushed to its source branch')

.form-group.self-approval
  .form-check
    = form.check_box :merge_requests_author_approval, { class: 'form-check-input', checked: !project.merge_requests_author_approval?, disabled: !can_modify_merge_request_author_settings }, false, true
    = form.label :merge_requests_author_approval, class: 'form-check-label' do
      %span= _('Prevent approval of merge requests by merge request author')
      = link_to icon('question-circle'), help_page_path('user/project/merge_requests/merge_request_approvals',
        anchor: 'allowing-merge-request-authors-to-approve-their-own-merge-requests'), target: '_blank'

.form-group.committers-approval
  .form-check
    = form.check_box :merge_requests_disable_committers_approval, { disabled: !can_modify_merge_request_committer_settings, class: 'form-check-input' }
    = form.label :merge_requests_disable_committers_approval, class: 'form-check-label' do
      %span= _('Prevent approval of merge requests by merge request committers')
      = link_to icon('question-circle'), help_page_path('user/project/merge_requests/merge_request_approvals',
        anchor: 'allowing-merge-request-authors-to-approve-their-own-merge-requests'), target: '_blank'

- if password_authentication_enabled_for_web?
  .form-group.self-approval
    .form-check
      = form.check_box :require_password_to_approve, class: 'form-check-input'
      = form.label :require_password_to_approve, class: 'form-check-label' do
        %span= _('Require user password to approve')
        = link_to icon('question-circle'), help_page_path('user/project/merge_requests/merge_request_approvals',
          anchor: 'require-authentication-when-approving-a-merge-request-starter'), target: '_blank'
